org.gjt.sp.jedit.indent

## Class OpenBracketIndentRule

- java.lang.Object
- - org.gjt.sp.jedit.indent.BracketIndentRule
  - - org.gjt.sp.jedit.indent.OpenBracketIndentRule

- All Implemented Interfaces:
    IndentRule

      public class OpenBracketIndentRule
      extends BracketIndentRule

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gjt.sp.jedit.indent.BracketIndentRule

      `BracketIndentRule.Brackets`

  - ### Field Summary

    - ### Fields inherited from class org.gjt.sp.jedit.indent.BracketIndentRule

      `closeBracket, openBracket`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenBracketIndentRule(char openBracket, boolean aligned)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(JEditBuffer buffer, int thisLineIndex, int prevLineIndex, int prevPrevLineIndex, java.util.List<IndentAction> indentActions)` Apply the indent rule to this line, and return an indent action.

    - ### Methods inherited from class org.gjt.sp.jedit.indent.BracketIndentRule

      `getBrackets, getBrackets, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenBracketIndentRule

          public OpenBracketIndentRule(char openBracket,
                               boolean aligned)

  - ### Method Detail

    - #### apply

          public void apply(JEditBuffer buffer,
                   int thisLineIndex,
                   int prevLineIndex,
                   int prevPrevLineIndex,
                   java.util.List<IndentAction> indentActions)

      Description copied from interface: `IndentRule`
      Apply the indent rule to this line, and return an indent action.
      Parameters:
        `buffer` - the buffer
        `thisLineIndex` - the line index
        `prevLineIndex` - the prior non empty line index (or -1 if there is no prior non empty line)
        `prevPrevLineIndex` - the prior non empty line index before the prevLineIndex (or -1 if there is no prior non empty line)
        `indentActions` - the indent actions list. The rule can add an action in it if it is necessary